---
updatedAt: 2026-03-09T13:31:01.000Z
agentTools:
  projectIndex: https://docs.payu.in/llms.txt
---

# Check Status API - CLW

This API will fetch the response dump for Load API call based on the value of "clientTxnId" field.

**Environment**

|            |                                                                  |
| :--------- | :--------------------------------------------------------------- |
| Test       | <https://apitest.payu.in/loyalty-points/v1/wallet/check-status>' |
| Production | <https://api.payu.in/loyalty-points/v1/wallet/check-status>'     |

## Request Header

This API uses HMAC-SHA512 authentication on the header.

<HTMLBlock>{`
<table class="api-parameters">
  <thead>
    <tr>
      <th scope="col">Parameter</th>
      <th scope="col">Description</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <td>
        <strong>walletIdentifier</strong><br />
        <span class="required-badge">mandatory</span>
      </td>
      <td>
        <code>String</code> Program Type (e.g., CLW)
      </td>
    </tr>
    <tr>
      <td>
        <strong>date</strong><br />
        <span class="required-badge">mandatory</span>
      </td>
      <td>
        <code>String</code> GMT formatted date (e.g., Thu, 17 Feb 2022 08:17:59 GMT)
      </td>
    </tr>
    <tr>
      <td>
        <strong>Authorization</strong><br />
        <span class="required-badge">mandatory</span>
      </td>
      <td>
        <code>String</code> HMAC-SHA512-based authentication token
      </td>
    </tr>
    <tr>
      <td>
        <strong>Content-Type</strong><br />
        <span class="required-badge">mandatory</span>
      </td>
      <td>
        <code>String</code> application/json
      </td>
    </tr>
  </tbody>
</table>
`}</HTMLBlock>

<Callout icon="↩️">
  If you do not post the authentication, you will get error in response. For the list of error codes, refer to [Status Codes](https://docs.payu.in/reference/status-codes-clw)
</Callout>

### hmac authentication logic

```
hmac username="smsplus", algorithm="sha512", headers="date", signature="7ff938849aa79265a3de63fe241dfecb1c680f58c6d11e9f9ca08512afea374705eb9f8995ef6c4584e16eca2e1dc688262bb0937a36cc0f75ec22a9eea33523"
```

Where, the fields in this example are:

* **username**: The merchant key of the merchant.
* **algorithm**: This must have the value as hmac-sha512 that is used for this API.
* **headers**: This must have the value as date digest.
* **signature**: This must contain the hmacsha512 of (signing\_string, merchant\_secret), where:
* **signing\_string**: It must be in the "date: \{dateValue}"format. Here, the dateValue is the same values in the fields listed in this table For example, "date: Thu, 17 Feb 2022 08:17:59 GMT"
* **merchant\_secret**: The merchant Salt of the merchant. For more information on getting the merchant Salt, refer to Generate Merchant Key and Salt.

## Request parameters

| Parameter                        | Description                                                                                                                                 | Example                        |
| -------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| messageCode<br />mandatory       | `Numeric(4)`<br/>API Code to uniquely identify 'Check Status' API. Use only the value `2050` for this API.                                  | 2050                           |
| clientTxnId<br />mandatory       | `String(100`)<br/>Unique Id generated by the calling application for each transaction. This ID should always be unique in all API Requests. | 20150701235959xhstiesqfdscheck |
| requestDateTime<br />mandatory   | `Numeric(14)`<br/>Date of API hit in YYYYMMDDHHMMSS in 24-hour time format.                                                                 | 20161031214559                 |
| verifyclientTxnId<br />mandatory | `String(100)`<br/>The value of "clientTxnId" passed in the request body of the API call for which response dump is needed.                  | 20150701235959xhstiesqfds      |
| fromDate<br />optional           | `String(10)`<br/>The starting value for time range in which to search for the transaction, in YYYY-MM-DD format.                            | 2024-01-01                     |
| toDate<br/>optional              | `String(10`)<br/>The ending value for time range in which to search for the transaction, in YYYY-MM-DD format.                              | 2024-12-31                     |

## Sample request

```curl

curl --location --request POST 'https://apitest.payu.in/loyalty-points/v1/wallet/check-status' \
--header 'walletIdentifier: CLW' \
--header 'mid: 2' \
--header 'Content-Type: application/json' \
--data-raw '{
    "messageCode": "2050",
    "clientTxnId": "saddadasda1",
    "requestDateTime": "20220302153036",
    "verifyclientTxnId": "11111111",
    "fromDate": "2024-06-13",
    "toDate": "2024-06-13"
}'

```

## Response parameters

| Parameter                          | Description                                                                                                                                  | Example                          |
| ---------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------- |
| messageCode<br />`mandatory`       | `Numeric(4)`<br />API Code to uniquely identify 'Check Status' API.                                                                          | `2050`                           |
| clientTxnId<br />`mandatory`       | `String(100)`<br />Unique Id generated by the calling application for each transaction. This ID should always be unique in all API Requests. | `20150701235959xhstiesqfdscheck` |
| responseCode<br />`conditional`    | `String(100)`<br />Contains the status of the request. 00 indicates success.                                                                 | `00`                             |
| responseMessage<br />`conditional` | `String(15)`<br />Response message based on response code will be sent.                                                                      | `SUCCESS`                        |
| urn<br />`conditional`             | `Numeric(6)`<br />Unique identifier of a wallet also known as reference number.                                                              | `70000000008`                    |
| bankId<br />`conditional`          | `Numeric(4)`<br />Bank Id is provided by Prepaid Aero during program enrolment to uniquely identify the wallet issuer.                       | `7000`                           |
| responseDateTime<br />`mandatory`  | `Numeric(14)`<br />Response date time in the format YYYYMMDDHHMMSS with time in 24-hour format.                                              | `20230804181306`                 |
| responseDump<br />`mandatory`      | `String(100)`<br />Will contain the response dump of the transaction, or error message.                                                      | `3591893`                        |

## Sample response

```plaintext

{
    "urn": 70000000008,
    "responseCode": "00",
    "messageCode": 2051,
    "clientTxnId": "ChangecardStatus000015",
    "bankId": 7000,
    "response_dump": [
        {
            "urn": 70000000008,
            "customerId": "128918",
            "responseCode": "00",
            "messageCode": 3011,
            "clientTxnId": "ChangecardStatus000015",
            "clientId": "1040",
            "responseDateTime": "20230622145005",
            "responseMessage": "SUCCESS",
            "bankId": 6010,
            "accosaRefNo": "41072"
        }
    ]
}

```